;*********************************************************************
;
; ECEN4002/5002 DSP Lab       Spring 2002
; Example program:  FFT test
;
; Performs the FFT on real:imag data, then IFFT on the result.
; Output data should match input data.
;
; Uses fftr2cn.asm (FFT macros) and sincoswin.asm (twiddle factors),
; User must provide REALSIG.DAT and IMAGSIG.DAT files, which contain
; "dc 0.xxxxxx" statements for each signal sample (need 'points' lines).
;
; In debugger or simulator, place breakpoints at 'BREAKPOINT1' and 
; 'BREAKPOINT2' to examine FFT buffer memory.
;
;*********************************************************************

	include 'fftr2cn.asm'	;fft with input,output in normal,normal order

points	equ	256		;length of signal

	org	l:$0000
data1 	dsm	points	;real,imag parts of signal
odata1	dsm	points	;real,imag parts of FFT(signal)
odata2	dsm	points	;real,imag parts of IFFT[FFT(signal)]
coef  	dsm	points	;twiddle factors
icoef 	dsm	points	;twiddle factors

	org     x:data1		;put real(signal) in x memory
;PUT YOUR REAL SIGNAL INCLUDE FILE HERE

	org     y:data1		;put imag(signal) in x memory
;PUT YOUR IMAG SIGNAL INCLUDE FILE HERE

	include 'sincosw.asm'		;macro to...
	sincos  points,coef,icoef	;...build twiddle factor tables

	org	p:$0
	jmp	begin

	org	p:$100
begin

;SCALE THE INPUT SIGNAL HERE
;-------
; SCALE - scale real(signal), imag(signal) to avoid overflow problems.
;-------



;----
;FFT - do the FFT on data1 and store results in odata1.  Note that the
;      results are scaled by 1/points (done above) rather than as part of IFFT)
;----
	fftr2cn  points,data1,odata1,coef	;odata1 = FFT(data1)
BREAKPOINT1	nop	;---SET A BREAKPOINT HERE---

;-----
;IFFT - do IFFT on data2 and store results in odata2
;-----
	ifftr2cn  points,odata1,odata2,icoef
BREAKPOINT2	nop	;---SET A BREAKPOINT HERE---


	jmp	*	;stop


