; sincos and wingen macro definitions
;
; This program originally available on the Motorola DSP bulletin board.
; It is provided under a DISCLAMER OF WARRANTY available from
; Motorola DSP Operation, 6501 Wm. Cannon Drive W., Austin, Tx., 78735.
; 
; Sine-Cosine Table Generator for FFT and IFFT. 
; 
;
sincos  macro   points,coef,icoef
sincos  ident   1,2
;
;       sincos  -       macro to generate sine and cosine coefficient
;                       lookup tables for Decimation in Time FFT
;                       twiddle factors.
;
;       points  -       number of points (2 - 32768, power of 2)
;       coef    -       base address of sine/cosine table
;                       negative cosine value in X memory
;                       negative sine value in Y memory
;       icoef   -       base address of sine/cosine for inverse.
;                       negative sine in X, negative cosine in Y.
;
;

pi      equ     3.141592654
freq    equ     2.0*pi/@cvf(points)

        org     x:coef
count   set     0
        dup     points/2
        dc      -@cos(@cvf(count)*freq)
count   set     count+1
        endm

        org     y:coef
count   set     0
        dup     points/2
        dc      -@sin(@cvf(count)*freq)
count   set     count+1
        endm

        org     x:icoef
count   set     0
        dup     points/2
        dc      -@sin(@cvf(count)*freq)
count   set     count+1
        endm

        org     y:icoef
count   set     0
        dup     points/2
        dc      -@cos(@cvf(count)*freq)
count   set     count+1
        endm

        endm    ;end of sincos macro


; Window generator macro (hanning window)
wingen  macro   points,table

        org     x:table	;fill in window function in x memory
count   set     0
        dup     points
        dc      (1./@cvf(points))*(0.5-0.5*@cos(@cvf(count)*freq))
count   set     count+1
        endm

	endm	; end of wingen macro

